> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paynext.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find plans

> Find plans



## OpenAPI

````yaml /api-reference/openapi3.json get /plans
openapi: 3.0.1
info:
  contact: {}
  description: Billing API
  title: Billing
  version: '2.0'
servers:
  - url: https://sandbox-api.paynext.com/
security: []
paths:
  /plans:
    get:
      tags:
        - Plans
      summary: Find plans
      description: Find plans
      parameters:
        - description: Specifies the version of the API to use
          in: header
          name: X-API-Version
          schema:
            enum:
              - 1.0.0
            type: string
            default: 1.0.0
          required: true
        - in: query
          name: from
          schema:
            type: string
        - in: query
          name: include
          schema:
            type: string
        - description: Number of items per page
          in: query
          name: limit
          schema:
            default: 100
            maximum: 1000
            minimum: 1
            type: integer
        - description: Sort order
          in: query
          name: order
          schema:
            default: desc
            enum:
              - asc
              - desc
            type: string
        - description: Page number for paginated results
          in: query
          name: page
          schema:
            default: 1
            minimum: 1
            type: integer
        - description: Keyword to search across fields
          in: query
          name: search
          schema:
            type: string
        - description: Timestamp of the data snapshot
          in: query
          name: snapshot_at
          schema:
            type: string
        - description: Field to sort by
          in: query
          name: sort
          schema:
            default: created_at
            type: string
        - in: query
          name: to
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main_module_public_api.plansResDTO'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_server.HttpResErrorDTO'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_server.HttpResErrorDTO'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_server.HttpResErrorDTO'
          description: Internal Server Error
      security:
        - Auth: []
components:
  schemas:
    main_module_public_api.plansResDTO:
      properties:
        data:
          items:
            $ref: '#/components/schemas/core_model.PlanResDTO'
          type: array
        meta:
          $ref: '#/components/schemas/pkg_server.MetaResDTO'
      type: object
    pkg_server.HttpResErrorDTO:
      properties:
        error:
          allOf:
            - $ref: '#/components/schemas/pkg_server.HttpErrorDTO'
          description: Description of the error
          type: object
      type: object
    core_model.PlanResDTO:
      properties:
        id:
          description: Unique identifier for the plan
          example: price_1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d
          type: string
          x-order: '0'
        interval:
          description: Type of the billing period
          enum:
            - days
            - months
            - years
          type: string
          x-order: '5'
        interval_count:
          description: Number of billing periods per cycle
          example: 1
          type: integer
          x-order: '6'
        name:
          description: Display name of the plan
          example: Pro Plan
          type: string
          x-order: '3'
        price:
          allOf:
            - $ref: '#/components/schemas/core_model.PlanPriceDetails'
          description: Pricing details for the plan
          type: object
          x-order: '7'
        tax:
          allOf:
            - $ref: '#/components/schemas/core_model.PlanTax'
          description: Taxes information
          type: object
          x-order: '10'
        trial_interval:
          description: Type of trial period
          enum:
            - days
            - months
            - years
          type: string
          x-order: '8'
        trial_interval_count:
          description: Length of the trial period
          example: 14
          type: integer
          x-order: '9'
        trial_price:
          allOf:
            - $ref: '#/components/schemas/core_model.PlanPriceDetails'
          description: Trial pricing details
          type: object
        type:
          description: Type of the plan
          enum:
            - recurring
            - one-off
          example: recurring
          type: string
          x-order: '4'
        updated_at:
          description: The date and time of the last plan update in UTC format
          example: '2025-05-27T10:00:00Z'
          type: string
          x-order: '2'
      type: object
    pkg_server.MetaResDTO:
      properties:
        limit:
          description: Number of items per page
          example: 100
          type: integer
        page:
          description: Current page number
          example: 1
          type: integer
        pages:
          description: Total number of pages
          example: 1
          type: integer
        snapshot_at:
          description: Timestamp of the data snapshot
          example: '2026-01-01T00:00:00Z'
          type: string
        total:
          description: Total number of items
          example: 1
          type: integer
      type: object
    pkg_server.HttpErrorDTO:
      properties:
        message:
          description: Description of the error
          example: some error message
          type: string
      type: object
    core_model.PlanPriceDetails:
      properties:
        countries:
          items:
            $ref: '#/components/schemas/core_model.PlanCountriesPrice'
          type: array
        default:
          $ref: '#/components/schemas/core_model.PlanPrice'
      type: object
    core_model.PlanTax:
      properties:
        collect_tax:
          allOf:
            - $ref: '#/components/schemas/core_model.PlanTaxCollection'
          example: DEFAULT
          type: object
      type: object
    core_model.PlanCountriesPrice:
      properties:
        countries:
          description: List of country codes (ISO 3166-1 alpha-2) where this price applies
          items:
            enum:
              - AD
              - AE
              - AF
              - AG
              - AL
              - AM
              - AO
              - AR
              - AS
              - AT
              - AU
              - AW
              - AX
              - AZ
              - BA
              - BB
              - BD
              - BE
              - BF
              - BG
              - BH
              - BI
              - BJ
              - BL
              - BM
              - BN
              - BO
              - BQ
              - BR
              - BS
              - BT
              - BW
              - BY
              - BZ
              - CA
              - CD
              - CF
              - CG
              - CH
              - CI
              - CL
              - CM
              - CN
              - CO
              - CR
              - CU
              - CU-P
              - CV
              - CW
              - CY
              - CZ
              - DE
              - DJ
              - DK
              - DM
              - DO
              - DZ
              - EC
              - EE
              - EG
              - ER
              - ES
              - ET
              - FI
              - FJ
              - FK
              - FM
              - FR
              - GA
              - GB
              - GD
              - GE
              - GF
              - GG
              - GH
              - GI
              - GL
              - GM
              - GN
              - GP
              - GQ
              - GR
              - GT
              - GU
              - GW
              - GY
              - HK
              - HN
              - HR
              - HT
              - HU
              - ID
              - IE
              - IL
              - IM
              - IN
              - IQ
              - IR
              - IS
              - IT
              - JE
              - JM
              - JO
              - JP
              - KE
              - KG
              - KH
              - KI
              - KM
              - KN
              - KP
              - KR
              - KW
              - KY
              - KZ
              - LA
              - LB
              - LC
              - LI
              - LK
              - LR
              - LS
              - LT
              - LU
              - LV
              - LY
              - MA
              - MC
              - MD
              - ME
              - MF
              - MG
              - MH
              - MK
              - ML
              - MM
              - MN
              - MO
              - MP
              - MQ
              - MR
              - MS
              - MT
              - MU
              - MV
              - MW
              - MX
              - MY
              - MZ
              - NA
              - NC
              - NE
              - NG
              - NI
              - NL
              - 'NO'
              - NP
              - NR
              - NU
              - NZ
              - OM
              - PA
              - PE
              - PF
              - PG
              - PH
              - PK
              - PL
              - PM
              - PN
              - PR
              - PS
              - PT
              - PW
              - PY
              - QA
              - RE
              - RO
              - RS
              - RU
              - RW
              - SA
              - SB
              - SC
              - SD
              - SE
              - SG
              - SH
              - SI
              - SK
              - SL
              - SM
              - SN
              - SO
              - SR
              - SS
              - ST
              - SV
              - SX
              - SY
              - SZ
              - TC
              - TD
              - TG
              - TH
              - TJ
              - TK
              - TL
              - TM
              - TN
              - TO
              - TR
              - TT
              - TV
              - TW
              - TZ
              - UA
              - UG
              - US
              - UY
              - UZ
              - VA
              - VC
              - VE
              - VG
              - VI
              - VN
              - VU
              - WF
              - WS
              - XK
              - YE
              - YT
              - ZA
              - ZM
              - ZW
            type: string
          type: array
        price:
          $ref: '#/components/schemas/core_model.PlanPrice'
      type: object
    core_model.PlanPrice:
      properties:
        amount:
          description: Price amount  in minor units
          example: 1999
          type: integer
        currency:
          description: >-
            The 3-letter currency code in ISO 4217 format. e.g. use USD for US
            dollars
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - IMP
            - INR
            - IQD
            - IRR
            - ISK
            - JEP
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STD
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - BOV
            - COU
            - CHE
            - CHW
            - MXV
            - UGX
            - VES
            - VND
            - VUV
            - XAF
            - XCD
            - XCG
            - XOF
            - XPF
            - YER
            - USD
          example: AED
          type: string
      type: object
    core_model.PlanTaxCollection:
      enum:
        - DEFAULT
        - COLLECT
        - DONT_COLLECT
      type: string
      x-enum-varnames:
        - PlanTaxCollectionDEFAULT
        - PlanTaxCollectionCOLLECT
        - PlanTaxCollectionDONTCOLLECT
  securitySchemes:
    Auth:
      bearerFormat: JWT
      description: >-
        Authentication header of the form `api key`, where `api key` is your
        organization api key.
      scheme: bearer
      type: http

````